asterisk 1.8

Discussion in 'General' started by marzo, Mar 31, 2011.

  1. marzo

    Joined:
    Dec 21, 2010
    Messages:
    3
    Likes Received:
    0
    If I have Elastix 2.0.3 that comes with asterisk 1.6.2.13 how can I upgrade to asterisk 1.8 ?
     
  2. dicko

    Joined:
    Oct 24, 2008
    Messages:
    4,099
    Likes Received:
    0
    You will have to compile all the digium code from scratch, it will then work, unfortunately it will largely break all the Elastix code that is not already broken, and all your gratuitously compiled drivers by Elastix for clone cards will stop working, if indeed they actually worked in the first place.

    Start here:-

    http://www.asterisk.org/downloads

    I suggest after breaking Elastix by doing that you might as well then update FreePBX to 2.8 or maybe 2.9 in the next few days. (You will need to get rid of the freepbx-overide contexts from Elastix), but you will have a functional and modern Asterisk/FreePBX system.

    dicko
     
  3. ncarp

    Joined:
    May 3, 2011
    Messages:
    1
    Likes Received:
    0
    Hi guys,

    Any ideas when will Elastix integrating Asterisk 1.8?

    We need a feature called "Remote (called) Party Identification" to solve the problem of caller ID on attended call transfer and it seems to be implemented on version 1.8

    Does any body has binary packages (.rpm) of Asterisk 1.8 that could used on Elastix 2.0?

    Thanks,

    Nuno Carpentier
     
  4. jgutierrez

    Joined:
    Feb 28, 2008
    Messages:
    5,737
    Likes Received:
    0

Share This Page